From 7240c9b397759610a8d3b749126004fdfaa7be14 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 26 2016 09:25:42 +0000
Subject: [PATCH 447/1001] Simplify the arguments accepted by the script


We can do this now that we rely on hubs itself to point us to where
the cache is.

---

diff --git a/smart_cache_invalidator.py b/smart_cache_invalidator.py
index 08737ee..77021fc 100755
--- a/smart_cache_invalidator.py
+++ b/smart_cache_invalidator.py
@@ -42,8 +42,11 @@ def do_clean(args):
     ''' Clean the widget for which there is data cached. '''
     for widget in args.widgets:
         wid_obj = hubs.models.Widget.get(session, widget)
+
         if not wid_obj:
-            wid_obj = session.query(cls).filter_by(plugin=widget).first()
+            wid_obj = session.query(hubs.models.Widget).filter_by(
+                plugin=widget).first()
+
         if not wid_obj:
             print('No widget found for {0}'.format(widget))
 
@@ -57,11 +60,6 @@ def setup_parser():
     Set the main arguments.
     '''
     parser = argparse.ArgumentParser(prog="smart_cache_invalidator")
-    # General connection options
-    parser.add_argument('--cache-db', dest="cache_db",
-                        default='/var/tmp/fedora-hubs-cache.db',
-                        help="The Fedora-hubs cache database")
-
     subparsers = parser.add_subparsers(title='actions')
 
     # List
@@ -95,21 +93,14 @@ def main():
         print("\nError: {0}".format(err))
         return 1
 
-    if not os.path.exists(arg.cache_db):
-        print('No cache DB found')
-        return 2
-
     try:
         arg.func(arg)
     except KeyboardInterrupt:
         print("\nInterrupted by user.")
-        return_code = 3
-    except argparse.ArgumentError as err:
-        print('{0}'.format(err.message))
-        return_code = 4
+        return_code = 2
     except Exception as err:
         print('Error: {0}'.format(err))
-        return_code = 5
+        return_code = 3
 
     return return_code
 

